%define pname		Cryptix-asn1
%define name		cryptix-asn1
%define version		20011119
%define snapshot	20011119
%define release		4jpp
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Cryptix ASN1 implementation
License:	BSD style
Group:		Security/Cryptography
Url:		http://www.cryptix.org
Source0:	%{pname}-%{snapshot}.tar.gz
Source1:	%{name}.build.script
Vendor:		JPackage Project
Distribution:	JPackage
Requires:	cryptix
BuildRequires:	ant, cryptix, jpackage-utils > 1.4
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Java crypto package and asn1 implementation.

%package javadoc
Group:		Development/Documentation
Summary:	Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{pname}-%{snapshot}
cp %{SOURCE1} build.xml
# remove all binary libs
rm -fr $(find . -name "*.jar")

%build
ant clean jar javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc cryptix/asn1/docs/*
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}

%changelog
* Wed Mar 26 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 20011119-4jpp
- for jpackage-utils 1.5

* Tue May 07 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 20011119-3jpp 
- vendor, distribution, group tags
- section macro

* Fri Jan 18 2002 Henri Gomez <hgomez@slib.fr> 20011119-2jpp
- add version in javadoc dir

* Fri Dec 14 2001 Henri Gomez <hgomez@slib.fr> 20011119-1jpp
- first JPackage release
- this snapshot came from puretls site, www.rtfm.com, since it fixes problems with puretls
